#pragma once

#include <QtWidgets/QWidget>
#include "ui_FTPTrans.h"
#include "ConfigOpr.h"
#include <QMessageBox>

class FTPTrans : public QWidget
{
    Q_OBJECT

public:
    FTPTrans(QWidget *parent = nullptr);
    ~FTPTrans();

public:
	void Trans(bool is_up = true);
	void init();
	void handle_table_read();
	void handle_table_add();
	void save(bool is_notify = false);

private:
	bool is_ok(QWidget* parent, const QString& content);
private:
    Ui::FTPTransClass	ui;
	ConfigOpr*			ini_opr_{};
	ItemBase			ini_base_{};
};
